package com.wecloud.im.sdk;

import com.wecloud.im.sdk.model.GetSignParam;
import com.wecloud.im.sdk.model.ImClient;
import com.wecloud.im.sdk.model.ImFriend;
import com.wecloud.im.sdk.model.ImTokenVerify;
import com.wecloud.im.sdk.model.Token;

/**
 *
 * @Author luozh
 * @Date 2022年04月13日 11:09
 * @Version 1.0
 */
public interface WecloudIm {
    String sign(GetSignParam paramGetSignParam);

    Token token(ImTokenVerify paramImTokenVerify);

    ImClient getUserClient(Long paramLong);

    Boolean createClient(Long paramLong, String paramString1, String paramString2, Integer paramInteger);

    ImFriend getFriendInfo(Long paramLong1, Long paramLong2);

    Boolean updateHeadPortrait(Long paramLong, String paramString);

    Boolean updateNickname(Long paramLong, String paramString);
}
